package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * 6GHz device interference intensity information
 */
@ApiModel(description = "6GHz device interference intensity information")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class ApInterference   {
  @JsonProperty("name")
  private String name;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("interUtil")
  private Integer interUtil;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  public ApInterference name(String name) {
    this.name = name;
    return this;
  }

  /**
   * AP name
   * @return name
  */
  @ApiModelProperty(value = "AP name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public ApInterference mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * AP MAC
   * @return mac
  */
  @ApiModelProperty(value = "AP MAC")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public ApInterference interUtil(Integer interUtil) {
    this.interUtil = interUtil;
    return this;
  }

  /**
   * AP interference percentage
   * @return interUtil
  */
  @ApiModelProperty(value = "AP interference percentage")


  public Integer getInterUtil() {
    return interUtil;
  }

  public void setInterUtil(Integer interUtil) {
    this.interUtil = interUtil;
  }

  public ApInterference model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model
   * @return model
  */
  @ApiModelProperty(value = "Device model")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public ApInterference modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Device model version
   * @return modelVersion
  */
  @ApiModelProperty(value = "Device model version")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApInterference apInterference = (ApInterference) o;
    return Objects.equals(this.name, apInterference.name) &&
        Objects.equals(this.mac, apInterference.mac) &&
        Objects.equals(this.interUtil, apInterference.interUtil) &&
        Objects.equals(this.model, apInterference.model) &&
        Objects.equals(this.modelVersion, apInterference.modelVersion);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, mac, interUtil, model, modelVersion);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApInterference {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    interUtil: ").append(toIndentedString(interUtil)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

